## djangorestframework-nested-resource 1.2.0

=== Makefile ===
.PHONY: clean-pyc clean-build docs

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "testall - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "sdist - package"

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lint:
	flake8 django-rest-framework-nested-resource tests

test:
	python runtests.py test

test-all:
	tox

coverage:
	coverage run --source django-rest-framework-nested-resource setup.py test
	coverage report -m
	coverage html
	open htmlcov/index.html

docs:
	rm -f docs/django-rest-framework-nested-resource.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ django-rest-framework-nested-resource
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	open docs/_build/html/index.html

release: clean
	python setup.py sdist upload
	python setup.py sdist bdist bdist_wheel upload

sdist: clean
	python setup.py sdist
	ls -l dist

=== requirements.txt ===
# Additional requirements go here
wheel==0.23.0
djangorestframework>=2.3.14

=== debian/changelog ===
djangorestframework-nested-resource (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #764945).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 12 Oct 2014 15:40:01 +0200

=== debian/control ===
Source: djangorestframework-nested-resource
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django-nose,
               python-djangorestframework,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Homepage: https://github.com/simpleenergy/django-rest-framework-nested-resource
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/djangorestframework-nested-resource/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/djangorestframework-nested-resource/trunk/

Package: python-djangorestframework-nested-resource
Architecture: all
Depends: python-djangorestframework,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-djangorestframework-nested-resource-doc
Description: DRF view mixin for nested resources
 djangorestframework-nested-resource provides view mixin for Django REST
 framework which simplifies nested resources. The mixin allow one to define a
 parent model on the Serializer level of Django REST framework.

Package: python-djangorestframework-nested-resource-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: DRF view mixin for nested resources (Documentation)
 djangorestframework-nested-resource provides view mixin for Django REST
 framework which simplifies nested resources. The mixin allows one to define a
 parent model on the Serializer level of Django REST framework.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework-nested-resource

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/_build/.doctrees -N docs docs/_build/html

override_dh_clean:
	rm -rf docs/_build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs -- HISTORY.rst

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  $$python runtests.py ; \
	done
endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/djangorestframework-nested-resource-$1.tar.gz/ \
https://github.com/simpleenergy/django-rest-framework-nested-resource/releases \
/simpleenergy/django-rest-framework-nested-resource/archive/v([\d\.]+)\.tar\.gz
